Skip to main content
POST
/
api
/
parent_agents
/
{parent_agent_id}
/
tools
Add Parent Agent Tool
curl --request POST \
  --url https://app.maadify.com/api/parent_agents/{parent_agent_id}/tools \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "agent_tool_id": 2,
  "flow_configs": {
    "output_context_to_sources": false,
    "context_variable_memory_config": {
      "enabled": false,
      "store_scope": "agent",
      "max_value_size": 0,
      "min_value_size": 0
    },
    "async_execution": false
  }
}
'
import requests

url = "https://app.maadify.com/api/parent_agents/{parent_agent_id}/tools"

payload = {
"agent_tool_id": 2,
"flow_configs": {
"output_context_to_sources": False,
"context_variable_memory_config": {
"enabled": False,
"store_scope": "agent",
"max_value_size": 0,
"min_value_size": 0
},
"async_execution": False
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agent_tool_id: 2,
flow_configs: {
output_context_to_sources: false,
context_variable_memory_config: {enabled: false, store_scope: 'agent', max_value_size: 0, min_value_size: 0},
async_execution: false
}
})
};

fetch('https://app.maadify.com/api/parent_agents/{parent_agent_id}/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {
    "items": [
      {
        "id": 123,
        "parent_agent_id": 123,
        "agent_tool_id": 123,
        "flow_configs": {},
        "created_at": "<string>"
      }
    ]
  },
  "error_type": "<string>",
  "error_message": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

parent_agent_id
integer
required

Body

application/json
agent_tool_id
integer
required

ID of the connector tool to add as a parent-agent tool execution.

Required range: x >= 1
flow_configs
ParentAgentToolFlowConfig · object

Tool-level execution configuration. Payload and loop behavior are configured on state-function execute_tool actions.

Response

Successful Response

success
boolean
required

Whether the request was successful.

data
ParentAgentToolMutationData · object
required

Parent-agent tool mutation results.

error_type
string | null

Type of error if the request failed.

error_message
string | null

Error message or informational message.